#
# spec file for package golang-github-linuxdeepin-go-dbus-factory
#
# Copyright (c) 2021 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define   provider        github
%define   provider_tld    com
%define   project         linuxdeepin
%define   repo            go-dbus-factory
%define   provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%define   import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        1.10.20
Release:        1.8
Summary:        Golang DBus factory
License:        GPL-3.0+
URL:            https://github.com/linuxdeepin/go-dbus-factory
Source0:        https://github.com/linuxdeepin/go-dbus-factory/archive/%{version}/%{repo}-%{version}.tar.gz
Group:          Development/Languages/Golang
BuildRequires:  fdupes
BuildRequires:  golang-packaging
BuildRequires:  golang-github-linuxdeepin-go-lib
BuildRequires:  golang-github-linuxdeepin-go-gir-generator
BuildRequires:  jq
BuildRequires:  libxml2-tools
Requires:       golang-github-linuxdeepin-go-x11-client
BuildArch:      noarch
Autoreq:        Off
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
Golang DBus factory for Deepin Desktop Environment.

%prep
%setup -q -n %{repo}-%{version}

%build
export GO111MODULE=of
%goprep %{import_path}

%install
%gosrc
%gofilelist

%fdupes %{buildroot}

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md CHANGELOG.md
%license LICENSE

%changelog
* Sat Aug 13 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.10.20
  * Update org.kde.kwin interface
  * Add org.desktopspec.ConfigManager interface
* Sat Apr  2 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.10.9
  * Change pkg.deepin.io to github.com
  * Add godbus interfaces for exporting devicemanager and license
  * Add interfaceflags attribute
  * Add DisconnectAudioDevices interface
  * Update com.deepin.api.SoundThemePlayer
  * Fix bugs
* Wed Feb 23 2022 Hillwood Yang <hillwood@opensuse.org>
- Use last stable version of go to build
* Fri Feb 18 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.10.5
  * Add ukey api
  * Add dbus of pwatchd
  * Add ab-recovery property: HasBackedUp
  * Add GetReminderInfo api
  * Add WLSimulateKey api
  * Fix bugs
* Fri Jan 28 2022 Hillwood Yang <hillwood@opensuse.org>
- Keep golang version on 1.15 on Leap15.4+
* Thu Dec 16 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.9.44
  * Update GetReminderInfo
  * Fix Mock
* Wed Oct 27 2021 Hillwood Yang <hillwood@opensuse.org>
- Fix build on Leap 15.4+
* Sun Oct 24 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.9.23
  * Fix broken Mock
* Sun Sep 19 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.9.22
  * Add dbus api for ipwatchd
* Fri Jul 23 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.9.17
  * Add com.deepin.system.InputDevices
  * Fix wrong XML formatting
  * Update gesture method(SetInputDevice)
  * Fix bugs
* Fri May 21 2021 Hillwood Yang <hillwood@opensuse.org>
- Keep golang version on 1.15 on Tumbleweed, the project does not support
  golang 1.16+
* Sun May  2 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.9.3
  * Add two apis: com.deepin.dde.clipboard, com.deepin.dde.notification
* Wed Mar 10 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.8.6
  * Add ukey API
  * Optimize display
  * Add some APIs for ShutdownFront
* Sat Feb 20 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.8.2
  * Fix bugs
  * chore(daemon): add interface of ClearTty in daemon
  * Add many ID apis for workspace
  * change(network): add ReuqestWirelessScanHasReturn api
  * add com.deepin.daemon.timedate
  * feat(system/power): add LockCpuFreq
  * add attribute for login1's CurrentSessionPath
  * feat(system/power): add SetCpuGovernor and boost
  * chore: Modify control Description data
  * and more feature....
* Mon Jul 15 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 0.9.0
  * change(api): add com.deepin.WMSwitcher
  * change(api): update com.deepin.wm
* Fri Apr 12 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 0.7.0
  * change(api): update com.deepin.wm
  * feat: update com.deepin.daemon.greeter and com.deepin.XSettings
  * change(api): update com.deepin.daemon.greeter
  * change(api): update com.deepin.wm
  * change(api): add org.kde.kwin Compositor
* Mon Mar 18 2019 Hillwood Yang <hillwood@opensuse.org>
- Use https://github.com/linuxdeepin/go-dbus-factory branch instead of
  https://github.com/linuxdeepin/dbus-factory. Upsteam use the new branch.
  version 0.4.0
  * check whether the callback is nil
  * add com.deepin.lastore
  * add debian
  * regen
  * rename client to proxy
  * check path validity
  * add org.freedesktop.login1
  * generator +6
  * add .gitignore
  * add com.deepin.api.xeventmonitor
  * generator +5
  * add com.deepin.dde.daemon.dock
  * generator +4
  * generator +3
  * generator +2
  * generator +
  * feat(generator): common property type define supported
  * feat: autofill PropertyFix.EmptyValue
  * add org.freedesktop.colormanager
  * add org.freedesktop.modemmanager1
  * add org.freedesktop.networkmanager device
  * feat: add PropertyFix RenameTo
  * add net.reactivated.fprint.Device
  * add org.freedesktop.networkmanager
  * add org.freedesktop.miracle.wfd
  * add org.freedesktop.miracle.wifi
  * add org.mpris.mediaplayer2
  * update README
  * add README
  * add org.freedesktop.udisks2
  * add org.ayatana.bamf
  * add org.freedesktop.secrets
  * add org.freedesktop.policykit1
  * add org.freedesktop.timedate1
  * add org.freedesktop.notifications
  * add org.freedesktop.screensaver
  * add com.deepin.daemon.daemon
  * add com.deepin.daemon.greeter
  * add com.deepin.api.cursorhelper
  * add com.deepin.daemon.timedated
  * add com.deepin.daemon.accounts
  * add com.deepin.daemon.helper.backlight
  * add com.deepin.daemon.inputdevices
  * add com.deepin.daemon.gesture
  * add com.deepin.daemon.network
  * add com.deepin.api.localehelper
  * add com.deepin.api.pinyin
  * add com.deepin.system.power
  * add com.deepin.daemon.audio
  * add com.deepin.daemon.display
  * add com.deepin.dde.launcher
  * add com.deepin.daemon.apps
  * add com.deepin.api.device
  * add com.deepin.sessionmanager
  * add org.freedesktop.dbus
  * add org.bluez
  * add net.reactivated.fprint
  * add com.deepin.wm
  * change package name
  * add golang-dlib-dev
  * change(api): update com.deepin.api.SoundThemePlayer
  * change(api): add com.deepin.system.Network
  * change(api): add com.deepin.dde.osd
  * change(api): update com.deepin.wm
  * feat: add com.deepin.api.soundthemeplayer
  * chore: update com.deepin.daemon.Network
  * feat: add org.freedesktop.NetworkManager ObjectManager
  * feat: update com.deepin.daemon.daemon
  * chore: add makefile for sw_64
  * feat: update com.deepin.api.devicehore: networkmanager accessPoint add accessor
  * update com.deepin.sessionmanager XSettings
  * add net.hadess.sensorproxy
  * update org.freedesktop.notifications
* Mon Mar 18 2019 Hillwood Yang <hillwood@opensuse.org>
- Update import_path.
* Thu Apr 12 2018 hillwood@opensuse.org
- Update version to 3.1.14
  * update timedated xml
  * update com.deepin.daemon.helper.Backlight
  * update com.deepin.dde.Launcher
* Thu Mar  1 2018 hillwood@opensuse.org
- Update version to 3.1.13
  * Update com.deepin.lastore
  * Update com.deepin.daemon.ImageBlur
  * Fix adapt lintian
  * Update com.deepin.lastore
  * Update com.deepin.daemon.Accounts
  * Update com.deepin.StartManager
  * The doc: update links in README
* Wed Nov 29 2017 hillwood@opensuse.org
- Update to 3.1.10
  * Add 'fprintd'
  * Add deepin system 'Daemon'
  * Add system 'Greeter'
  * Update 'keybinding'
  * Update deepin wm interfaces
* Wed Nov  8 2017 hillwood@opensuse.org
- Update to 3.1.8
  * Fix 'Welcome' xml format error
  * Add 'Timedated' xml
  * Add 'StartManager' xml
  * Add make check target
* Sat Aug 15 2015 i@marguerite.su
- Update to version 2.91.0*git20141231.6a1afaf:
  * bluetooth: refactor code
  * datetime: update xml
  * bluetooth: add dbus property State
  * export SwitchMode in com.deepin.daemon.Display
  * datetime: update xml
  * add com.deepin.store.Api
  * add com.deepiin.api.Device
  * appearance: update xml
  * accounts: modify CreateUser return value
